/*
배포 후 스크립트 템플릿							
--------------------------------------------------------------------------------------
 이 파일에는 빌드 스크립트에 추가될 SQL 문이 있습니다.		
 SQLCMD 구문을 사용하여 파일을 배포 후 스크립트에 포함합니다.			
 예:      :r .\myfile.sql								
 SQLCMD 구문을 사용하여 배포 후 스크립트의 변수를 참조합니다.		
 예:      :setvar TableName MyTable							
               SELECT * FROM [$(TableName)]					
--------------------------------------------------------------------------------------
*/

/*10회 루프*/
DECLARE @CNT INT = 0;
DECLARE @MAX_CNT INT = 10
DECLARE @DBNAME varchar(50) = DB_NAME();

IF (@DBNAME LIKE '%short%')
BEGIN   
    WHILE(@CNT < @MAX_CNT)
    BEGIN

        DECLARE @yyyy varchar(4) = CONVERT(CHAR(4), DATEADD(YEAR, @CNT, GETDATE()), 23)
        DECLARE @summary varchar(200) = N'HIST_LogSummary_'+@yyyy
        DECLARE @result varchar(200) = N'HIST_TestResult_'+@yyyy
        EXEC [dbo].[spCreateTableByName] @summary , @result

        SET @CNT += 1
    END
END
GO
